﻿using System;
using System.Collections.Generic;

namespace TestCoverageAnalysisTool
{
    public class ObservableSet<T> : HashSet<T>
    {
        public event Action<T> ItemAdded = delegate { };

        public new void Add(T item)
        {
            ItemAdded(item);

            base.Add(item);
        }
    }
}