﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TestCoverageAnalysisTool
{
    public partial class TreeInterpreterForm : Form
    {
        public TreeInterpreterForm()
        {
            InitializeComponent();
        }

        public string TreeName { get; set; }

      //Визуализатор тестов
        public void LoadTreeFromFile()
        {
            string line;
            float maxLength = 0;

            var g = listBox1.CreateGraphics();
            System.IO.StreamReader file = new System.IO.StreamReader(String.Format(@"tests\{0}.tre", TreeName));
            while ((line = file.ReadLine()) != null)
            {
                var strSize = g.MeasureString(line, listBox1.Font);

                maxLength = strSize.Width > maxLength ? strSize.Width : maxLength;
                listBox1.Items.Add(line);
            }

            listBox1.Width = (int) maxLength + 25;
            listBox1.Height = (listBox1.ItemHeight+1)*listBox1.Items.Count + 15;
            


            file.Close();

            
        }
    }
}
