﻿using System.Collections.Generic;

namespace TestCoverageAnalysisTool
{
    public class NodeNameCollection
    {
        public List<NodeName> Items { get; set; }

        public NodeName this[int index]
        {
            get
            {
                return Items[index];
            }
        }

        public NodeNameCollection()
        {
            Items = new List<NodeName>();
        }

        public void Add(NodeName name)
        {
            Items.Add(name);
        }

        public NodeNameCollection(List<string> contents, string functionName)
        {
            Items = new List<NodeName>();

            foreach (var content in contents)
            {
                Items.Add(new NodeName()
                {
                    FunctionName = functionName,
                    Name = content
                });
            }
        }
    }
}