﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestCoverageAnalysisTool
{
  class ValueTypedList<T> : List<T>
  {
    public override bool Equals(object obj)
    {
      var other = (ValueTypedList<T>) obj;

      if (other.Count != Count)
      {
        return false;
      }

      for (int i = 0; i < Count; i++)
      {
        if (!other[i].Equals(this[i]))
        {
          return false;
        }
      }

      return true;
    }

    public override string ToString()
    {
      var result = "";

      foreach (var item in this)
      {
        result += item.ToString() + " ";
      }

      return result;
    }
  }
}
